from setuptools import find_packages, setup

package_name = 'hexapod_python'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='wuselfuzz',
    maintainer_email='marcus@grieger.xyz',
    description='TODO: Package description',
    license='MIT',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'jtc_test = hexapod_python.jtc_test:main',
            'ik_test = hexapod_python.ik_test:main',
            'ik_calibration = hexapod_python.ik_calibration:main',
            'step_test = hexapod_python.step_test:main',
            'taranis_test = hexapod_python.taranis_test:main'
        ],
    },
)
